<?php

declare(strict_types=1);

namespace App\Service;

use App\Repository\TblPublicidadXUsuarioRepository;

final class TblPublicidadXUsuarioService
{
    private TblPublicidadXUsuarioRepository $TblPublicidadXUsuarioRepository;

    public function __construct(TblPublicidadXUsuarioRepository $TblPublicidadXUsuarioRepository)
    {
        $this->TblPublicidadXUsuarioRepository = $TblPublicidadXUsuarioRepository;
    }

    public function checkAndGet(int $TblPublicidadXUsuarioId): object
    {
        return $this->TblPublicidadXUsuarioRepository->checkAndGet($TblPublicidadXUsuarioId);
    }

    public function getAll(): array
    {
        return $this->TblPublicidadXUsuarioRepository->getAll();
    }

    public function getOne(int $TblPublicidadXUsuarioId): object
    {
        return $this->checkAndGet($TblPublicidadXUsuarioId);
    }

    public function create(array $input): object
    {
        $TblPublicidadXUsuario = json_decode((string) json_encode($input), false);

        return $this->TblPublicidadXUsuarioRepository->create($TblPublicidadXUsuario);
    }

    public function update(array $input, int $TblPublicidadXUsuarioId): object
    {
        $TblPublicidadXUsuario = $this->checkAndGet($TblPublicidadXUsuarioId);
        $data = json_decode((string) json_encode($input), false);

        return $this->TblPublicidadXUsuarioRepository->update($TblPublicidadXUsuario, $data);
    }

    public function delete(int $TblPublicidadXUsuarioId): void
    {
        $this->checkAndGet($TblPublicidadXUsuarioId);
        $this->TblPublicidadXUsuarioRepository->delete($TblPublicidadXUsuarioId);
    }
}
